Subject: Re: system() refuses to work!!! HELP
From: "Moises D. Deangelo" <[email-masked]>
To: [email-masked]
Date: Wed, 15 Oct 2003 03:27:55 -0300

It did not work. Will it be that I found a bug??? How much luck I have.. :-) 
It follows the source. that program does not do anything of important! It is 
alone a test. 

what we most can do? 

I changed the command for "DIR" who list the directories of the windows just 
to facilitate the comprehension and so that it to do not are necessary to do 
an upload of sound.exe. Try, with that program execute some other command! 
Here, already tried of everything, and anything (not) worked. 

************************************************* 

#include <stdlib.h> 
#include <math.h> 
#include <stdio.h> 

main() 
{ 
int a,b,c,d,e,f,g,h,j; 

FILE *stream; 

printf("Programa Gerador de Resultados para Teste:"); 
printf("\n\nEntre com as Faixas"); 
printf("\nNúmero a ser comparado: ");scanf("%d",&c); 
printf("\n....................De: ");scanf("%d",&a); 
printf("\n.....................A: ");scanf("%d",&b); 

d = c; 
f = a; 
g = b; 

j = 1; 

while(g <= c){ 
     e = f * g; 
     h = d - e; 
     if((stream = fopen("dtr1.txt", "at")) != NULL){ 
                fprintf(stream,"\n %d * %d = %d -r = %d",f,g,e,h); 
     } 
     fflush(stdout); 
     fclose(stream); 
     if(j >= c){ 
          f = a; 
          j = 0; 
          g++; 
          printf("\nF: %d\tG %d:",f,g); 
          fflush(stdout); 
     } 
     f++; 
     j++; 
} 

if((system("dir")) == 0){ 
     printf("\n\nComando executado com sucesso"); 
} 
else{ 
     printf("\n\ncomando falhou"); 
} 

} 

*********************************************** 

Em 15 Oct 2003, [email-masked] escreveu: 

>On Wed, Oct 15, 2003 at 01:10:08AM -0300, Moises D. Deangelo wrote: 
>>When entering with the command ls -l /bin/sh.exe, the appeared following: 
>> 
>>-rwxr-x---+ 1 Diego Usu?rios 83456 Aug 11 10:45 /bin/sh.exe 
> 
>Ok. The next question is if "sound.exe" is in your path. Does something 
>like: 
> 
>system("/cygdrive/c/dir/sound.exe") 
> 
>work? 
> 
>/cygdrive/c/dir would be cygwin's way of typing c:/dir 
> 
>dir would be the place where sound.exe lives. 
> 
>-- 
>Unsubscribe info: http://cygwin.com/ml/#unsubscribe-simple 
>Problem reports: http://cygwin.com/problems.html 
>Documentation: http://cygwin.com/docs.html 
>FAQ: http://cygwin.com/faq/ 
> 
>---------- 

_________________________________________________________
Voce quer um iGMail protegido contra vírus e spams? 
Clique aqui: http://www.igmailseguro.ig.com.br
Ofertas imperdíveis! Link: http://www.americanas.com.br/ig/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/